/* ESTILOS PRINCIPALES  */
/*@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800&display=swap');*/
/* variables globales */
:root {
    --color-morado: #7a6cd2;
    --color-morado-claro: #afa7e4;
    --color-boton-celeste: #a0ebdd;
    --color-fondo-celeste: rgba(198, 243, 235, 0.6);
    --color-font: #50766f;
    --color-disabled: #dce5e5;
    --color-font-disabled: #999966;
    --color-font-disabled-label: #676767;

    --border-radius-1: 25px;
    --border-radius-2: 15px;
    --border-radius-3: 6px;

    --card-padding: 1.8rem;
    --padding-1: 1.2rem;
}

* {
    margin: 0;
    text-decoration: none;
    box-sizing: border-box;
}

h1, h2, h3, h4, h5, h6 {
    margin-bottom: 0 !important;
}

html {
    height: 100%;
}

body {
    background: url("../css/images/imagen-fondo.jpg") no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    height: 100%;
}

input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
}

input[type=number] { -moz-appearance:textfield; }

.fondo_opacity {
    background: linear-gradient(rgba(255,255,255,.5), rgba(255,255,255,.5)), url("../css/images/imagen-fondo.jpg") no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    height: 100%;
}

.flex-container {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    height: 100%;
}

.fondo_blanco{
    background-color: white;
    opacity: 0.5;
    z-index: 1;
    width: 100%;
    height: 100%;
}

.elemento {
    /*border: 1px solid red;*/
    width: 320px;
    background: var(--color-fondo-celeste);
}

/* END CONTENIDO PRINCIPAL */


/* LOGO CETEP */
.logo {
    background-color: transparent;
    height: 130px;
    text-align: center;
}

.logo img {
    max-width: 100%;
    max-height: 100%;
    filter: drop-shadow(0px 7px 7px white);
}

.logo_small {
    background-color: transparent;
    height: 100px;
    text-align: center;
}

.logo_small img {
    max-width: 100%;
    max-height: 100%;
    filter: drop-shadow(0px 7px 7px white);

}

.tippy-box[data-theme~='telecetep'] {
  background: var(--color-fondo-celeste);
  color: var(--color-font);
  border-radius: var(--border-radius-3);
}

/* END LOGO CETEP */


/* CONTENIDO LOGIN */

/*h1 {
    justify-content: center;
    display: flex;
    margin-bottom: 0;
}

h1 span:first-child {
    color: var(--color-morado);
}

h1 span:last-child {
    color: var(--color-morado-claro);
}*/

h5 {
    color: var(--color-font);
    opacity: 0.8;
}

h6 {
    font-size: small;
    opacity: 0.8;
}

.login {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    height: auto;
    margin-bottom: 30px;
    padding: 5px 30px 20px 30px;
    border-radius: var(--border-radius-2);
    gap: 5px;
}

.login img {
    text-align: center;
    width: 200px;
    margin-bottom: -10px;
}

.tipo_login {
    display: flex;
    flex-direction: row;
    justify-content: center;
    text-align: center;
    margin: auto 11px auto 11px;
    gap: 30px;
}

.tipo_login label {
    font-size: 14px;
    opacity: 0.9;
    color: var(--color-font);
    font-weight: bold;
}

input[type="radio"]:checked {
    accent-color: var(--color-font);
}

.login .btn {
    width: 100%;
    border-radius: var(--border-radius-3);
    height: 35px;
    /*line-height: 0;*/
    text-align: center;
    font-weight: 500;
    color: rgba(255, 255, 255, 0.9);
    margin: 0 auto;
}
.registro .btn {
    width: 100%;
    border-radius: var(--border-radius-3);
    height: 35px;
    text-align: center;
    font-weight: bold;
    color: rgba(255, 255, 255, 0.9);
    margin: 0 auto;
    /*vertical-align:middle;*/
}

.btn_registro {
    background-color: #7a6cd2;
    border-radius: var(--border-radius-2);
}

.login .btn_login {
    background-color: #50b6a3;
}

.btn_login:hover {
    background-color: #ffffff;
    color: #50b6a3;
}

.btn_registro:hover {
    background-color: #ffffff;
    color: #7a6cd2;
}

.btn_continuar {
    background-color: #7a6cd2;
    border-radius: var(--border-radius-3);
    height: 35px;
    text-align: center;
    font-weight: bold;
    color: rgba(255, 255, 255, 0.9);
    margin: 0 auto;
}

.btn_continuar:hover {
    color: white !important;
}
.btn_continuar:focus, .btn_login:focus, .btn_registro:focus {
    box-shadow: none !important;
}
.btn_continuar:active, .btn_login:active, .btn_registro:active {
    box-shadow: none !important;
}

.label_pais {
    position: absolute;
    bottom: -2.5px;
    left: 15px;
    color: var(--color-font-disabled-label);
    border-right: 1px solid black;
}

.label_registro_fono {
    float: left;
    position: absolute;
    bottom: -3px;
    left: 20px;
    max-width: 90px !important;
    color: var(--color-font-disabled-label);
}

.label_registro_fono2 {
    float: left;
    position: absolute;
    bottom: -3px;
    left: 105px;
    max-width: 48px !important;
    color: var(--color-font-disabled-label);
    line-height: 24px;
    /* border-left: 1px solid black; */
    border-right: 1px solid black;
    right: 9px;
}

.label_registro {
    float: left;
    position: absolute;
    bottom: -3px;
    left: 20px;
    max-width: 90px !important;
    color: var(--color-font-disabled-label);
    border-right: 1px solid black;
    line-height: 24px;
    right: 30px;
}

.label_registro_doble {
    position: absolute;
    bottom: -3px;
    left: 20px;
    max-width: 90px;
    text-align: left;
    line-height: 12px;
    color: var(--color-font-disabled-label);
    border-right: 1px solid black;
    right: 30px;
}

.input_telecetep {
    height: 35px;
    border-radius: var(--border-radius-3);
    border-color: transparent;
    padding-left: 120px;
}
.input_telecetep_fono {
    height: 35px;
    border-radius: var(--border-radius-3);
    border-color: transparent;
    padding-left: 120px;
}

.p-fono {
     padding-left: 158px;
}
.select_pais{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.selector_pais {
    -webkit-appearance: none;
    -moz-appearance: none;
    background: var(--color-disabled);
    background-image: url("data:image/svg+xml;utf8,<svg fill='gray' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>");
    background-repeat: no-repeat;
    background-position-x: 95%;
    background-position-y: 6px;
    padding-left: 70px;
    color: var(--color-font-disabled-label);
    font-style: oblique;
    padding-right: 5px;
}

.selector_pais option {
    color: var(--color-font-disabled-label);
    opacity: 0.5;
    font-style: oblique;
    padding-right: 5px;
    width: 80%;
    max-width: 50px;
}

.input_group {
    position: relative;
}

.formulario_registro .input_group {
    position: relative;
    margin: auto;
    margin-bottom: 10px;
    font-size: 15px !important;
    width: 90%;
}

.input_telecetep::placeholder {
    color: black;
    opacity: 0.5;
    font-style: oblique;
    padding-right: 10px;
}

.input_telecetep:focus {
    outline: none;
}

.input_login {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 85px;
}

.input_login .input_telecetep {
    padding-left: 10px;
}

.buttons_login {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    height: auto;
    gap: 11px;
}

.buttons_login a:nth-child(1) {
    color: var(--color-font);
    margin: auto;
    text-decoration: underline;
    width: fit-content;
}

.alertify-notifier .ajs-message.ajs-error{
    color: white !important;
}

.login_separador {
    display: flex; flex-wrap: wrap; justify-content: center; justify-items: center
}

.login_separador > span:first-child, .login_separador > span:last-child{
    height: 1px; background: #c1c1c1; flex-shrink: 1; position: relative; top: 0.45em; flex-grow: 1;
}

.login_separador > span:nth-child(2) {
    text-transform: uppercase;
    margin-right: 18px;
    padding-left: 0;
    padding-top: 0;
    margin-left: 18px;
    font-weight: 600;
    align-items: stretch;
    line-height: 1;
}


/* END CONTENIDO LOGIN */

/* CONTENIDO BARRA NAVEGACIÓN */
.barra {
    display: flex;
    flex-direction: row;
    justify-content: center;
    text-align: center;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: var(--border-radius-2);
    gap: 10px;
    height: 60px;
    width: 280px;
}

.barra img {
    max-width: 90%;
    max-height: 90%;
}

.tooltip {
    display: inline-block;
    position: relative;
    border-bottom: 1px dotted #666;
    text-align: left;

}

.tooltip .top {
    min-width: 200px;
    top: -20px;
    left: 50%;
    transform: translate(-0, -100%);
    padding: 10px 20px;
    color: #555555;
    background-color: blue;
    font-weight: normal;
    font-size: 13px;
    border-radius: 8px;
    position: absolute;
    z-index: 99999999;
    box-sizing: border-box;
    border: 1px solid #DDDDDD;
    display: none;
}

.tooltip:hover .top {
    display: block;
}

.tooltip .top i {
    position: absolute;
    top: 100%;
    left: 0;
    margin-left: -0px;
    width: 0;
    height: 0;
    overflow: hidden;
}

.tooltip .top i::after {
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    left: 50%;
    transform: translate(-50%, -50%) rotate(45deg);
    background-color: #DDDDDD;
    border: 1px solid #DDDDDD;
}

.barra_registro {
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: var(--border-radius-2);
    bottom: 1%;
    gap: 7px;
    justify-content: center;
    max-width: 320px;
    position: absolute;
    text-align: center;
}

.barra_registro img {
    max-width: 60px;
    max-height: 60px;
}

.input_tipo_documento{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    text-align: center;
    margin: auto 12px auto 12px;
    padding: 5px;
    background-color: white;
    border-radius: var(--border-radius-3);
    height: 35px;
}
.input_tipo_documento div{
    display: flex;
    flex-direction: row;
    text-align: center;
    justify-content: space-between;
    gap: 7px;
    margin-top: 2px;
    margin-bottom: -5px;
    margin-right: 2px;
}
.input_tipo_documento div label{
    display: inline-block;
    font-size: 14px;
    opacity: 0.9;
    color: var(--color-font);
    font-weight: bold;
}
.input_tipo_documento .label_tipo_documento{
    float: left;
    position: absolute;
    bottom: -3px;
    left: 20px;
    max-width: 90px !important;
    color: var(--color-font-disabled-label);
    line-height: 24px;
    border-right: 1px solid black;
    right: 30px;
}

.input_tipo_documento div input[type="radio"]{
    margin-bottom: 10px;
}


/* END CONTENIDO BARRA NAVEGACIÓN */


/* TITULO TELECETEP */
.titulo_telecetep {
    display: flex;
    flex-direction: row;
    justify-content: center;
    text-align: center;
    gap: 5px;
    width: 900px;
    background-color: transparent;
}

.titulo_telecetep img {
    width: 300px;
}

.separador {
    display: inline-block;
    margin: auto;
    width: 50%;
    border-top: 2px solid #bbb;
}

.titulo_selector {
    text-align: center;
    width: 550px;
    background-color: transparent;
}

/* END TITULO TELECETEP */


/* SELECTOR PAIS*/
.barra_selector_pais {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    background-color: transparent;
    width: 150px;
    margin-top: 30px;
    margin-bottom:20px;
    margin-top: auto;
}

.barra_selector_pais img {
    margin: auto;
    max-width: 40%;
}

.barra_selector_pais h6 {
    display: inline-block;
    white-space: nowrap;
}

.contenedor_listado_paises, .contenedor_login {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    height: 100%;
    /*flex-shrink: 0;*/
}

.pais_seleccionado {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    background-color: white;
    border-radius: 15px;
    border: 1px solid var(--color-font);
    text-align: center;
    height: 55px;
    width: 275px;
    margin-top: 25px;
    padding: 25px;
}

.pais_seleccionado h5 {
    color: #50766f;
}

.pais_seleccionado img {
    object-fit: cover;
    border-radius: 50%;
    height: 40px;
    width: 40px;
}

.tabla_selector_pais {
    height: auto;
    background-color: transparent;
    width: 550px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

.paises {
    display: grid;
    grid-template-columns: repeat(2, 275px); /* ideal en auto pero la tabla se corre según el tamaño del texto*/
    background-color: #dce5e5;
    border-radius: 15px;
}

.pais {
    padding: 5px 10px 5px 35px;
    border-bottom: 1px solid var(--color-font);
}

.pais:last-child, .pais:nth-last-child(2):nth-child(odd) {
    border-bottom: none;
}

.pais:nth-child(odd) {
    border-right: none;
}

.pais {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 20px;
}

.pais h5 {
    color: #50766f;
    vertical-align: middle;
}

.pais img {
    object-fit: cover;
    border-radius: 50%;
    height: 40px;
    width: 40px;
}

.pais_seleccionado_en_tabla img {
    -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
    filter: grayscale(100%);
}

/* END SELECTOR PAIS*/

/* REGISTRO PACIENTE */
.titulo_registro {
    margin-bottom: 27px;
    display: block !important;
}

.titulo_registro img {
    width: 200px;
    margin-bottom: -10px;
}
.titulos {
    display: none;
    margin-top: -20px;
    margin-bottom: 50px;
}

.registro {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    height: auto;
    width: 700px;
    margin-bottom: 30px;
    padding: 5px 30px 30px 30px;
    border-radius: var(--border-radius-3);
    gap: 3px;
}

.formulario_registro {
    width: 100%;
    display: grid;
    grid-template-columns: auto auto;
    background-color: transparent;
    border-radius: 15px;
}

.campos {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    margin: 5px 15px 5px 15px;
    gap: 5px;
}

.terminos_condiciones {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    text-align: center;
    gap: 10px;
    margin-left: 10px;
    margin-top: 10px;
}

.flex-container-registro {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    height: 100%;
}
.span-line{
    border-right: 1px solid black;
    margin-right: 7px;
}

.text-green {
    color: var(--color-font);
}

.font-medium {
    font-weight: 500;
}

.font-bold {
    font-weight: bold;
}

.text-xs {
    font-size: 0.75rem;
    line-height: 1rem;
}

.text-sm {
    font-size: 0.875rem;
    line-height: 1.25rem;
}

.text-base {
    font-size: 1rem;
    line-height: 1.5rem;
}

.mb-0 {
    margin-bottom: 0;
}

a:nth-child(1).no-underline {
    text-decoration-line: none;
    text-decoration: none;
}

.btn-reserve {
    background-color: #7a6cd2;
    border-radius: var(--border-radius-3);
    color: rgba(255, 255, 255, 0.9);
    font-weight: 500;
    line-height: 1.5;
    margin: 0 auto;
    text-align: center;
    text-transform: uppercase;
    width: 100%;
}

.btn-reserve:hover {
    background-color: rgba(255, 255, 255, 0.9);
    color: #7a6cd2;
    text-decoration: none;
}

a.btn_register:hover{
    text-decoration: underline;
}

/* END REGISTRO PACIENTE */


/* MEDIA QUERIES tablet*/
@media screen and (max-width: 1200px) {
    .elemento {
        width: 400px;
    }
}

@media screen and (max-width: 1024px) {
    body{
        background-position: 25% 40% !important;
    }    
    .elemento {
        width: 400px;
    }
}
@media screen and (max-width: 1200px) {
    .elemento {
        width: 320px;
    }

    .flex-container, .contenedor_listado_paises, .flex-container-registro , .contenedor_login{
        justify-content: flex-start;
    }

    .tipo_login {
        gap: 65px;
    }

    .barra {
        width: 400px;
        gap: 25px;
    }
    .barra_registro  {
        display: flex;
        flex-direction: row;
        justify-content: center;
        text-align: center;
        background-color: rgba(255, 255, 255, 0.5);
        border-radius: var(--border-radius-2);
        /*width: 400px;*/
        gap: 25px;
        height: 60px;
    }

    .tabla_selector_pais {
        width: 100%;
    }

    .titulo_selector {
        width: 450px;
    }

    .titulo_selector h5 {
        width: 100%;
        font-size: 18px;
    }

    .titulo_selector h5:last-child {
        display: none !important;
    }
    .titulos {
        display: block;
    }

    .barra_selector_pais {
        width: 150px;
    }

    .pais_seleccionado {
        width: 300px;
        margin-top: 5px;
    }


    .formulario_registro {
        grid-template-columns: auto;
        overflow: scroll;
        width: auto;
        height: auto;
        max-height: 400px; /*ESTO FUE LO QUE CAMBIAMOS PARA EL SCROLL EN AIRPAD*/
    }
    .titulo_registro h5{
        font-size: 15px;
    }
    .registro{
        height: auto;
        justify-content: flex-start;
    }
    .input_tipo_documento{
        justify-content: center;
    }
}

@media screen and (max-height: 600px) {
    .barra_registro.elemento {
        background-color: rgba(255, 255, 255, 0.5);
        border-radius: var(--border-radius-2);
        flex-direction: column !important;
        gap: 0;
        position: fixed;
        height: 250px;
        width: 60px;
        right: 1%;
        top: 50%;
        transform: translate(-50%, -50%);
    }
}


/* MEDIA QUERIES mobile */
@media screen and (max-height: 1280px) and (max-width: 820px) {
     .formulario_registro {
        grid-template-columns: auto;
        /*height: 100% !important;*/
    }
}
@media screen and (max-width: 375px) {
    body{
        background-position: 25% 40%;
    }
    .input_tipo_documento div{
        gap: 5px  !important;
    }
    .input_tipo_documento .label_tipo_documento, .label_registro, .label_registro_doble {
        left: 9px !important;
        max-width: 78px !important;
        max-width: 81px !important;
    }    
    .label_registro_fono2{
        left: 82px !important;
    }
    .input_telecetep{
        /*padding-left: 104px !important;*/
    }
    .input_paises{
        padding-left: 43px !important;
    }
    .p-fono {
        padding-left: 144px !important;
    }
}
@media screen and (max-width: 768px) {
    body{
        background-position: 25% 40%;
    }

    .elemento {
        width: 100%;
    }

    .flex-container, .contenedor_listado_paises, .contenedor_login {
        justify-content: flex-start;
        /*overflow: hidden;*/

    }

    .tipo_login {
        gap: 15px;
    }

    .barra {
        width: 270px;
        gap: 3px;
    }

    .tabla_selector_pais {
        overflow-y: scroll;
        overflow-x: hidden;
        width: 300px;
        height: auto;
        max-height: 200px;
    }

    .tabla_selector_pais::-webkit-scrollbar {
        width: 2px;
        background-color: #aaa;
    }

    .tabla_selector_pais::-webkit-scrollbar-thumb {
        background-color: #a0ebdd;
    }

    .paises {
        grid-template-columns: auto;
        width: 92%;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }
    .pais{
        padding: 5px 10px 5px 55px;
    }

    .titulo_selector {
        width: 450px;
    }

    .titulo_selector h5 {
        width: 100%;
        font-size: 18px;
    }

    .titulo_selector h5:last-child {
        display: none !important;
    }

    .barra_selector_pais {
        width: 150px;
    }

    .pais_seleccionado {
        width: 300px;
        margin-top: 5px;
    }

    .formulario_registro {
        grid-template-columns: auto;
        height: auto !important;
    }

    .campos {
        grid-template-columns: auto;
        border-radius: 0;
    }
    .titulo_registro h5{
        font-size: 15px;
    }
    .registro{
        height: auto;
        /*min-height: 50%;*/
        justify-content: flex-start;
        padding: 5px 5px 30px 5px;
        overflow: hidden;
    }
    input[type=date], input[type=datetime-local], input[type=month], input[type=time] {
        -webkit-appearance: none !important;
    }
    .input_tipo_documento{
        justify-content: flex-end;
    }
    .input_tipo_documento div{
        gap: 2px;
    }
    form .elemento{
        width: 100%;
    }

    @media screen and (min-width: 768px) {
        .tabla_selector_pais {
            height: auto;
            background-color: transparent;
            width: 550px;
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            align-items: center;
            overflow: hidden;
        }

        .paises {
            display: grid;
            grid-template-columns: repeat(2, 275px);
            background-color: #dce5e5;
            border-radius: 15px;
            width: 100%;
        }
    }
}

@media screen and (max-width: 1400px) and (max-height: 670px) {
    .barra_registro {
        position: relative;
    }
}